> For the complete documentation index, see [llms.txt](https://docs.dinmo.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.dinmo.io/integrations/dinmo-ingest/tiktok-ads.md).

# Tiktok Ads

Setup Tiktok Ads with DinMo's ingestion capabilities.

## Sync overview <a href="#syncoverview" id="syncoverview"></a>

### Rollback sync <a href="#rollbacksync" id="rollbacksync"></a>

A rollback sync is a sync that automatically starts once a day. Rollback syncs capture the conversions within the attribution window.

Fivetran does not automatically capture the rollback window size. You can opt to configure the rollback window in the connection setup form. To do so, set the **Show advanced options** toggle to ON, and set the attribution window using the **Rollback sync (optional)** drop-down. The default setting is 7 days.

## Schema information <a href="#schemainformation" id="schemainformation"></a>

This schema applies to all TikTok Ads connections.

![Explore Tiktok Ads schema ERD](https://fivetran.com/_/api/service-erd/tiktok_ads/preview-image/public)

[Explore Tiktok Ads Interactive ERD](https://fivetran.com/connector-erd/tiktok_ads)

## Report schema information <a href="#reportschemainformation" id="reportschemainformation"></a>

We provide two types of reports:

* Prebuilt reports, which sync a pre-defined set of metrics. For prebuilt reports, we have predefined tables in the **Schema** tab that you can enable or disable.
* Custom reports, which require you to select the Report Level, Dimensions, Aggregate, and Metrics you want to sync in the connection setup form.

## Sync notes <a href="#syncnotes" id="syncnotes"></a>

The data type of the following columns in the destination tables is LONG:

* `ad_id`
* `adgroup_id`
* `advertiser_id`
* `app_id`
* `campaign_id`
* `event_id`
* `pangle_block_app_list_id`
* `pixel_id`

The data type of the `skip_learning_phase` column of the `ADGROUP_HISTORY` table is INT.

Due to source API limitation, we can fetch only the first `10000` videos per advertiser ordered by `updated_at` (also referred to as `modify_time` in the source documentation) for the `VIDEO_HISTORY` table in every sync. For more information, see [TikTok Ads' API document](https://ads.tiktok.com/marketing_api/docs?id=1740050472224769).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.dinmo.io/integrations/dinmo-ingest/tiktok-ads.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
